Uploaded image for project: 'Maven Shared Components'
  1. Maven Shared Components
  2. MSHARED-430

Update JDK requirement to 1.6 / upgrade Maven Core dependencies to 3.0

    Details

      Description

      When using maven-reporting-impl-2.x with Maven 3, it includes some Maven-2 dependencies, since these artifactIds don't exist in Maven3 anymore, e.g maven-project (is now part of maven-core).
      Plugins are already moving forward, so this shared component should do so too.

        Activity

        Hide
        rfscholte Robert Scholte added a comment -

        Fixed in r1693344

        Show
        rfscholte Robert Scholte added a comment - Fixed in r1693344
        Hide
        michael-o Michael Osipov added a comment -

        I think this change should be reverted. Hervé and I are preparing a new Doxia (Sitetools) release still targeted to Maven 2.2.x (last one) and this components needs to comply with it. I would recommend to downgrade to 2.5, etc.

        Show
        michael-o Michael Osipov added a comment - I think this change should be reverted. Hervé and I are preparing a new Doxia (Sitetools) release still targeted to Maven 2.2.x (last one) and this components needs to comply with it. I would recommend to downgrade to 2.5, etc.
        Hide
        hboutemy Hervé Boutemy added a comment -

        no need to revert: maven-reporting-impl is completely independendant
        if it were, every reporting plugin would have to be released

        Show
        hboutemy Hervé Boutemy added a comment - no need to revert: maven-reporting-impl is completely independendant if it were, every reporting plugin would have to be released

          People

          • Assignee:
            rfscholte Robert Scholte
            Reporter:
            rfscholte Robert Scholte
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development